Search for all

  1. Search 7.x for all
  2. Search 8.9.x for all
  3. Search 10.3.x for all
  4. Search 11.x for all
  5. Search main for all
  6. Other projects
Title Object type File name Summary
LanguageNegotiationMethodBase class core/modules/language/src/LanguageNegotiationMethodBase.php Base class for language negotiation methods.
LanguageNegotiationMethodBase.php file core/modules/language/src/LanguageNegotiationMethodBase.php
LanguageNegotiationMethodBase::$config property core/modules/language/src/LanguageNegotiationMethodBase.php The configuration factory.
LanguageNegotiationMethodBase::$currentUser property core/modules/language/src/LanguageNegotiationMethodBase.php The current active user.
LanguageNegotiationMethodBase::$languageManager property core/modules/language/src/LanguageNegotiationMethodBase.php The language manager.
LanguageNegotiationMethodBase::persist function core/modules/language/src/LanguageNegotiationMethodBase.php Notifies the plugin that the language code it returned has been accepted.
LanguageNegotiationMethodBase::setConfig function core/modules/language/src/LanguageNegotiationMethodBase.php Injects the configuration factory.
LanguageNegotiationMethodBase::setCurrentUser function core/modules/language/src/LanguageNegotiationMethodBase.php Injects the current user.
LanguageNegotiationMethodBase::setLanguageManager function core/modules/language/src/LanguageNegotiationMethodBase.php Injects the language manager.
LanguageNegotiationMethodInterface interface core/modules/language/src/LanguageNegotiationMethodInterface.php Interface for language negotiation classes.
LanguageNegotiationMethodInterface.php file core/modules/language/src/LanguageNegotiationMethodInterface.php
LanguageNegotiationMethodInterface::getLangcode function core/modules/language/src/LanguageNegotiationMethodInterface.php Performs language negotiation.
LanguageNegotiationMethodInterface::persist function core/modules/language/src/LanguageNegotiationMethodInterface.php Notifies the plugin that the language code it returned has been accepted.
LanguageNegotiationMethodInterface::setConfig function core/modules/language/src/LanguageNegotiationMethodInterface.php Injects the configuration factory.
LanguageNegotiationMethodInterface::setCurrentUser function core/modules/language/src/LanguageNegotiationMethodInterface.php Injects the current user.
LanguageNegotiationMethodInterface::setLanguageManager function core/modules/language/src/LanguageNegotiationMethodInterface.php Injects the language manager.
LanguageNegotiationMethodManager class core/modules/language/src/LanguageNegotiationMethodManager.php Manages language negotiation methods.
LanguageNegotiationMethodManager.php file core/modules/language/src/LanguageNegotiationMethodManager.php
LanguageNegotiationMethodManager::$cacheKeyPrefix property core/modules/language/src/LanguageNegotiationMethodManager.php The cache key prefix.
LanguageNegotiationMethodManager::__construct function core/modules/language/src/LanguageNegotiationMethodManager.php Constructs a new LanguageNegotiationMethodManager object.
LanguageNegotiationSelected class core/modules/language/src/Plugin/LanguageNegotiation/LanguageNegotiationSelected.php Class for identifying language from a selected language.
LanguageNegotiationSelected.php file core/modules/language/src/Plugin/LanguageNegotiation/LanguageNegotiationSelected.php
LanguageNegotiationSelected::getLangcode function core/modules/language/src/Plugin/LanguageNegotiation/LanguageNegotiationSelected.php Performs language negotiation.
LanguageNegotiationSelected::METHOD_ID constant core/modules/language/src/Plugin/LanguageNegotiation/LanguageNegotiationSelected.php The language negotiation method id.
LanguageNegotiationSession class core/modules/language/src/Plugin/LanguageNegotiation/LanguageNegotiationSession.php Identify language from a request/session parameter.
LanguageNegotiationSession.php file core/modules/language/src/Plugin/LanguageNegotiation/LanguageNegotiationSession.php
LanguageNegotiationSession::$queryParam property core/modules/language/src/Plugin/LanguageNegotiation/LanguageNegotiationSession.php The query parameter name to rewrite.
LanguageNegotiationSession::$queryRewrite property core/modules/language/src/Plugin/LanguageNegotiation/LanguageNegotiationSession.php Flag used to determine whether query rewriting is active.
LanguageNegotiationSession::$queryValue property core/modules/language/src/Plugin/LanguageNegotiation/LanguageNegotiationSession.php The query parameter value to be set.
LanguageNegotiationSession::getLangcode function core/modules/language/src/Plugin/LanguageNegotiation/LanguageNegotiationSession.php Performs language negotiation.
LanguageNegotiationSession::getLanguageSwitchLinks function core/modules/language/src/Plugin/LanguageNegotiation/LanguageNegotiationSession.php Returns language switch links.
LanguageNegotiationSession::METHOD_ID constant core/modules/language/src/Plugin/LanguageNegotiation/LanguageNegotiationSession.php The language negotiation method id.
LanguageNegotiationSession::persist function core/modules/language/src/Plugin/LanguageNegotiation/LanguageNegotiationSession.php Notifies the plugin that the language code it returned has been accepted.
LanguageNegotiationSession::processOutbound function core/modules/language/src/Plugin/LanguageNegotiation/LanguageNegotiationSession.php Processes the outbound path.
LanguageNegotiationSessionTest class core/modules/language/tests/src/Functional/LanguageNegotiationSessionTest.php Tests the session language negotiation method.
LanguageNegotiationSessionTest.php file core/modules/language/tests/src/Functional/LanguageNegotiationSessionTest.php
LanguageNegotiationSessionTest::$adminUser property core/modules/language/tests/src/Functional/LanguageNegotiationSessionTest.php An administrative user to configure the test environment.
LanguageNegotiationSessionTest::$defaultTheme property core/modules/language/tests/src/Functional/LanguageNegotiationSessionTest.php The theme to install as the default for testing.
LanguageNegotiationSessionTest::$modules property core/modules/language/tests/src/Functional/LanguageNegotiationSessionTest.php Modules to enable.
LanguageNegotiationSessionTest::setUp function core/modules/language/tests/src/Functional/LanguageNegotiationSessionTest.php
LanguageNegotiationSessionTest::testSessionLanguageNegotiationMethod function core/modules/language/tests/src/Functional/LanguageNegotiationSessionTest.php Tests language negotiation via query/session parameters.
LanguageNegotiationTest class core/modules/language/tests/language_test/src/Plugin/LanguageNegotiation/LanguageNegotiationTest.php Class for identifying language from a selected language.
LanguageNegotiationTest class core/modules/language/tests/src/Unit/process/LanguageNegotiationTest.php @coversDefaultClass \Drupal\language\Plugin\migrate\process\LanguageNegotiation[[api-linebreak]]
@group language
LanguageNegotiationTest.php file core/modules/language/tests/src/Unit/process/LanguageNegotiationTest.php
LanguageNegotiationTest.php file core/modules/language/tests/language_test/src/Plugin/LanguageNegotiation/LanguageNegotiationTest.php
LanguageNegotiationTest::getLangcode function core/modules/language/tests/language_test/src/Plugin/LanguageNegotiation/LanguageNegotiationTest.php Performs language negotiation.
LanguageNegotiationTest::METHOD_ID constant core/modules/language/tests/language_test/src/Plugin/LanguageNegotiation/LanguageNegotiationTest.php The language negotiation method id.
LanguageNegotiationTest::setUp function core/modules/language/tests/src/Unit/process/LanguageNegotiationTest.php
LanguageNegotiationTest::testStringInput function core/modules/language/tests/src/Unit/process/LanguageNegotiationTest.php Tests string input.
LanguageNegotiationTest::testTransformWithoutWeights function core/modules/language/tests/src/Unit/process/LanguageNegotiationTest.php Tests successful transformation without weights.

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.